from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XSortedDynamicResultSetFactory(XInterface, Protocol):
    def createSortedDynamicResultSet(self, Source: XDynamicResultSet, Info: NumberedSortingInfo>, CompareFactory: XAnyCompareFactory) -> XDynamicResultSet: ...
